%define major 		0
%define apiver 		1.2
%define libname 	%mklibname %{name} %{apiver} %{major}
%define develname 	%mklibname %{name} -d

Summary:	Simple DirectMedia Layer - image
Name:		SDL_image
Version:	1.2.12
%define subrel	2
Release:	%mkrel 9
License:	zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_image/index.html
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{name}-%{version}.tar.gz
Patch0:		CVE-2017-2887.patch
Patch1:		CVE-2017-12122-1.patch
Patch2:		CVE-2017-12122-2.patch
Patch3:		CVE-2017-14440.patch
Patch4:		CVE-2017-14441.patch
Patch5:		CVE-2017-14442.patch
Patch6:		CVE-2017-14448.patch
Patch7:		CVE-2017-14450.patch
Patch8:		CVE-2018-3837.patch
Patch9:		CVE-2018-3838.patch
Patch10:		CVE-2018-3839.patch

BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(sdl) >= 1.2.10

%description
This is a simple library to load images of various formats as SDL surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdlshow' to test the library.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_image1.2 < 1.2.6-2

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	libSDL-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_image1.2-devel < 1.2.6-2

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_image1.2-test < 1.2.6-2

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%autosetup -p1

%build
# (anssi) --disable-x-shared disable dlopening, so that we link to them
# dynamically instead, and thus get correct autorequires
%configure2_5x \
		--disable-static \
		--enable-bmp \
		--enable-gif \
		--enable-jpg \
		--enable-pcx \
		--enable-png \
		--enable-ppm \
		--enable-tif \
		--enable-xpm \
		--disable-jpg-shared \
		--disable-png-shared \
		--disable-tif-shared

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

install -d %{buildroot}%{_bindir}
install -m755 .libs/showimage %{buildroot}%{_bindir}/sdlshow

%files -n %{libname}-test
%{_bindir}/sdlshow

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README CHANGES
%{_libdir}/lib*.so
%{_includedir}/SDL/*
%{_libdir}/pkgconfig/SDL_image.pc


%changelog
* Tue May 22 2018 shlomif <shlomif> 1.2.12-9.2.mga6
  (not released yet)
+ Revision: 1231486
- Fix MGA#22967 with patches from Debian - thanks!
+ akien <akien>
- Add openSUSE patch for CVE-2017-2887 (mga#22650)

* Thu Feb 04 2016 umeabot <umeabot> 1.2.12-9.mga6
+ Revision: 934411
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-8.mga5
+ Revision: 745101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-7.mga5
+ Revision: 687140
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-6.mga5
+ Revision: 677654
- Mageia 5 Mass Rebuild
+ akien <akien>
- As of version 1.2.11, the license is zlib: http://www.libsdl.org/projects/SDL_image/

* Sat Oct 19 2013 umeabot <umeabot> 1.2.12-4.mga4
+ Revision: 525817
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 1.2.12-3.mga4
+ Revision: 434621
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 1.2.12-2.mga3
+ Revision: 345104
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1.2.12-1.mga2
+ Revision: 210606
- remove patch 0
- 1.2.12

* Wed Jan 18 2012 alien <alien> 1.2.11-2.mga2
+ Revision: 197994
- fix 8bit png images (fixes bug #4175)

* Mon Jan 16 2012 fwang <fwang> 1.2.11-1.mga2
+ Revision: 196849
- new version 1.2.11

* Thu Dec 22 2011 fwang <fwang> 1.2.10-5.mga2
+ Revision: 186092
- rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 1.2.10-4.mga2
+ Revision: 142278
- fix build with libpng15
- rebuild for new libpng

* Sat Apr 30 2011 sander85 <sander85> 1.2.10-3.mga1
+ Revision: 93764
- bump release for upgrading from mdv2010.{1,2}

* Sat Jan 15 2011 supp <supp> 1.2.10-1.mga1
+ Revision: 19073
- imported package SDL_image

